## GstVaapiDecoderH265 GstVaapiDecoderH265 — H.265 decoder |

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_h265_new ()
void | gst_vaapi_decoder_h265_set_alignment ()

## Types and Values

| GstVaapiDecoderH265
enum | GstVaapiStreamAlignH265

## Description

## Functions

### gst_vaapi_decoder_h265_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_h265_new (GstVaapiDisplay *display,
                                GstCaps *caps);

Creates a new GstVaapiDecoder for MPEG-2 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

### gst_vaapi_decoder_h265_set_alignment ()

    void
    gst_vaapi_decoder_h265_set_alignment (GstVaapiDecoderH265 *decoder,
                                          GstVaapiStreamAlignH265 alignment);

Specifies how stream buffers are aligned / fed, i.e. the boundaries of each buffer that is supplied to the decoder. This could be no specific alignment, NAL unit boundaries, or access unit boundaries.

#### Parameters

decoder | a GstVaapiDecoderH265 |
alignment | the GstVaapiStreamAlignH265 |

## Types and Values

### GstVaapiDecoderH265

    typedef struct _GstVaapiDecoderH265 GstVaapiDecoderH265;

A decoder based on H265.

### enum GstVaapiStreamAlignH265

Set of possible buffer alignments for H.265 streams.

#### Members

GST_VAAPI_STREAM_ALIGN_H265_NONE | Generic H.265 stream buffers |
GST_VAAPI_STREAM_ALIGN_H265_NALU | H.265 stream buffers aligned NAL unit boundaries |
GST_VAAPI_STREAM_ALIGN_H265_AU | H.265 stream buffers aligned on access unit boundaries |